EcPrecomputation< EC2N > Class Reference

EC2N precomputation specialization. More...

`#include <ec2n.h>`

Inheritance diagram for EcPrecomputation< EC2N >:

## Public Types

typedef EC2N | EllipticCurve
Public Types inherited from DL_GroupPrecomputation< EC2N::Point >
typedef EC2N::Point | Element

## Public Member Functions

const AbstractGroup< Element > & | GetGroup () const
| Retrieves AbstractGroup interface.
Element | BERDecodeElement (BufferedTransformation &bt) const
| Decodes element in DER format.
void | DEREncodeElement (BufferedTransformation &bt, const Element &v) const
| Encodes element in DER format.
void | SetCurve (const EC2N &ec)
| Set the elliptic curve.
const EC2N & | GetCurve () const
| Get the elliptic curve.
Public Member Functions inherited from DL_GroupPrecomputation< EC2N::Point >
virtual bool | NeedConversions () const
| Determines if elements needs conversion.
virtual Element | ConvertIn (const Element &v) const
| Converts an element between representations.
virtual Element | ConvertOut (const Element &v) const
| Converts an element between representations.

## Detailed Description

EC2N precomputation specialization.

Implementation of DL_GroupPrecomputation<EC2N::Point>

See also
  DL_GroupPrecomputation

Definition at line 104 of file ec2n.h.

## Member Typedef Documentation

## EllipticCurve

typedef EC2N EcPrecomputation< EC2N >::EllipticCurve

Definition at line 107 of file ec2n.h.

## Constructor & Destructor Documentation

## ~EcPrecomputation()

virtual EcPrecomputation< EC2N >::~EcPrecomputation | ( |  | ) |

inline virtual

Definition at line 109 of file ec2n.h.

## Member Function Documentation

## GetGroup()

const AbstractGroup< Element > & EcPrecomputation< EC2N >::GetGroup | ( |  | ) | const

inline virtual

Retrieves AbstractGroup interface.

Returns
  GetGroup() returns the AbstractGroup interface

Implements DL_GroupPrecomputation< EC2N::Point >.

Definition at line 112 of file ec2n.h.

## BERDecodeElement()

Element EcPrecomputation< EC2N >::BERDecodeElement | ( | BufferedTransformation & | bt | ) | const

inline virtual

Decodes element in DER format.

Parameters

  bt | BufferedTransformation object

Returns
  element in the group

Implements DL_GroupPrecomputation< EC2N::Point >.

Definition at line 113 of file ec2n.h.

## DEREncodeElement()

void EcPrecomputation< EC2N >::DEREncodeElement | ( | BufferedTransformation & | bt,
|  | const Element & | P ) const

inline virtual

Encodes element in DER format.

Parameters

  bt | BufferedTransformation object
  P | Element to encode

Implements DL_GroupPrecomputation< EC2N::Point >.

Definition at line 114 of file ec2n.h.

## SetCurve()

void EcPrecomputation< EC2N >::SetCurve | ( | const EC2N & | ec | ) |

inline

Set the elliptic curve.

Parameters

  ec | ECP derived class

SetCurve() is not inherited

Definition at line 119 of file ec2n.h.

## GetCurve()

const EC2N & EcPrecomputation< EC2N >::GetCurve | ( |  | ) | const

inline

Get the elliptic curve.

Returns
  EC2N curve

GetCurve() is not inherited

Definition at line 124 of file ec2n.h.

The documentation for this class was generated from the following file:

- ec2n.h